/*
 * Copyright (C) 2006 Andre Noll <maan@systemlinux.org>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */

/** \file fd.h exported symbols from fd.c */

int file_exists(const char *);
int para_select(int n, fd_set *readfds, fd_set *writefds,
		struct timeval *timeout_tv);
int mark_fd_nonblock(int fd);
void para_fd_set(int fd, fd_set *fds, int *max_fileno);
__must_check int para_fread(void *dest, size_t nbytes, size_t nmemb, FILE *stream);
